/*********************************************************************

  グローバル変数定義

*********************************************************************/

var sendFlag = false;
var editFlag = false;

/*********************************************************************

  入力内容チェック

*********************************************************************/

function checkForm(form)
{
	if (form.subj && !form.subj.value) {
		window.alert('題名が入力されていません。');
		return false;
	}
	if (form.text && !form.text.value) {
		window.alert('本文が入力されていません。');
		return false;
	}

	if (sendFlag == true) {
		window.alert('二重投稿は禁止です。');
		return false;
	} else {
		sendFlag = true;
	}

	return true;
}

/*********************************************************************

  ファイル挿入

*********************************************************************/

function insertFile(form)
{
	var text = form.text;
	var file = form.file;

	if (file) {
		file.onchange = function()
		{
			if (file.value) {
				text.focus();

				if (document.selection) {
					document.selection.createRange().text = file.value;
				} else if (text.selectionEnd - text.selectionStart == 0) {
					var before = text.value.substring(0, text.selectionStart);
					var after  = text.value.substring(text.selectionEnd, text.value.length);

					text.value = before + file.value + after;
				} else {
					text.value += file.value;
				}

				text.focus();
			}

			form.file.selectedIndex = 0;
		};
	}

	return;
}

/*********************************************************************

  Cookie取得

*********************************************************************/

function getCookie(form)
{
	if (!document.cookie) {
		return;
	}

	var cookies = document.cookie.split('; ');
	var cookie  = new Array();

	for (var i = 0; i < cookies.length; i++){
		var pair = cookies[i].split('=');
		cookie[pair[0]] = unescape(decodeURI(pair[1]));
	}

	if (form.name && cookie['comment[name]']) {
		form.name.value = cookie['comment[name]'];
	}
	if (form.mail && cookie['comment[mail]']) {
		form.mail.value = cookie['comment[mail]'];
	}
	if (form.url && cookie['comment[url]']) {
		form.url.value = cookie['comment[url]'];
	}
	if (form.name && cookie['comment[name]']) {
		form.save.checked = true;
	}

	return;
}

/*********************************************************************

  処理開始

*********************************************************************/

window.onload = function()
{
	var nodeArticleForm = document.getElementById('article_form');
	var nodeCommentForm = document.getElementById('comment_form');
	var nodeLoginForm   = document.getElementById('login_form');

	if (nodeArticleForm) {
		//入力内容チェック
		nodeArticleForm.onsubmit = function()
		{
			return checkForm(nodeArticleForm);
		};
		nodeArticleForm.text.onkeyup = function()
		{
			if (!editFlag) {
				editFlag = true;
			}
			return;
		};

		//ファイル挿入
		insertFile(nodeArticleForm);
	}

	if (nodeCommentForm) {
		//Cookie取得
		getCookie(nodeCommentForm);
	}

	if (nodeLoginForm) {
		//フォーカス設定
		nodeLoginForm.password.focus();
	}

	return;
};
window.onbeforeunload = function()
{
	if (!sendFlag && editFlag) {
		return 'ページを移動した場合、編集中のテキストは破棄されます。';
	}

	return;
};
